/// <reference types="react" />
import type { IUseHowlState, IUseHowlOptions } from './useHowl.js';
interface Props extends IUseHowlOptions {
    /** Child component that receives render props. */
    children: (props: IUseHowlState) => JSX.Element;
}
/**
 * Render prop access to a Howl instance for use with `<Play />`.
 *
 * Recommended when using Rehowl from a class component. If you're
 * using a function component, it's best to use `useHowl`.
 */
export declare function Rehowl(props: Props): JSX.Element | null;
export {};
